> For the complete documentation index, see [llms.txt](https://docs.aikynetix.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aikynetix.app/api-documentation/retrieving-processed-videos.md).

# Retrieving Processed Videos

Once a video has been processed by our system, you can retrieve the final processed video along with its analysis data using our API. This section is divided into three subpages that provide detailed guidance on each aspect:

* [**Retrieval API Endpoints**](/api-documentation/retrieving-processed-videos/retrieval-api-endpoints.md)\
  Learn how to use our endpoints to fetch processed videos and their associated metrics. This page details the request formats, required parameters, and sample responses for efficient data retrieval.
* [**Handling Delays & Errors**](/api-documentation/retrieving-processed-videos/handling-delays-and-errors.md)\
  Discover best practices for managing delays and errors during the retrieval process. This page explains common error responses, troubleshooting steps, and strategies to re-initiate retrieval if processing delays occur.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aikynetix.app/api-documentation/retrieving-processed-videos.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
